=== src20/debian/changelog ===
gkrellsun (0.12.1-1) unstable; urgency=low

  * new upstream version

  * fixed dependencies

  * Debian standards version 3.6.1

 -- Stephan Niemz <sn-debian@Linigo.de>  Thu, 19 Aug 2004 11:50:51 +0200

gkrellmsun (0.9-1) unstable; urgency=low

  * New upstream release 

 -- Norman Walsh <ndw@nwalsh.com>  Wed,  6 Nov 2002 09:02:14 -0500
