=== src20/debian/control ===
Source: gkrellsun
Section: x11
Priority: optional
Build-Depends: debhelper (>> 3.0), gkrellm-common (>> 2.2), libgtk2.0-dev
Maintainer: Norman Walsh <ndw@nwalsh.com>
Standards-Version: 3.6.1

Package: gkrellsun
Architecture: any
Depends: gkrellm (>> 2.2), ${shlibs:Depends}
Description: Sunrise/sunset monitor plugin for GKrellM
 This GKrellM plugin displays information about sunrise and sunset
 times, the path of the sun through the sky, and even a rudimentary
 lunar hack.
